## editorconfig-core 0.12.5

=== CMakeLists.txt ===
# CMakeLists.txt for core testing in
# editorconfig-core-c.
#
# Copyright (c) 2011-2019 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

cmake_minimum_required(VERSION 3.5.1)
cmake_policy(VERSION 3.5.1)

project(editorconfig VERSION "0.12.5" LANGUAGES C)

set(PROJECT_VERSION_SUFFIX "")

include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake_Modules")

# set default compilation directory
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/bin")

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# package target
set(HOME_URL "http://editorconfig.org")
set(MAILING_LIST "editorconfig@googlegroups.com")

set(CPACK_PACKAGE_VENDOR "EditorConfig Team")
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "editorconfig")

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin") # Mac OS X
    set(CPACK_GENERATOR "STGZ;TGZ;TZ")
elseif(UNIX)
    # UNIX should be checked before WIN32 since cygwin makes UNIX and WIN32
    # both true
    set(CPACK_GENERATOR "STGZ;TGZ;TZ;DEB;RPM")
elseif(WIN32)
    set(CPACK_GENERATOR "ZIP;NSIS")
endif()

set(CPACK_MONOLITHIC_INSTALL 1)
set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
set(CPACK_PACKAGE_CONTACT "EditorConfig <${MAILING_LIST}>")
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/README.md)
set(CPACK_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
# get the architecture of Deb package. The name of the architecture is not
# always the same with ${CMAKE_SYSTEM_PROCESSOR}
if(NOT CPACK_DEBIAN_PACKAGE_ARCHITECTURE)
    execute_process(COMMAND dpkg --print-architecture
        OUTPUT_VARIABLE arch OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "${arch}")
endif()
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${HOME_URL})
set(CPACK_NSIS_CONTACT ${CPACK_PACKAGE_CONTACT})
set(CPACK_NSIS_DISPLAY_NAME "EditorConfig Core")
set(CPACK_NSIS_PACKAGE_HOMEPAGE ${HOME_URL})
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "editorconfig")
set(CPACK_RPM_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
set(CPACK_RPM_PACKAGE_LICENSE "Simplified BSD license")
set(CPACK_RPM_PACKAGE_URL ${HOME_URL})
include(CPack)

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(include)

# Testing. Type "make test" to run tests. Only do this if the test submodule is
# checked out.
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/tests/CMakeLists.txt)
    enable_testing()
    set(EDITORCONFIG_CMD "editorconfig_bin")
    set(EDITORCONFIG_CMD_IS_TARGET TRUE)
        # TRUE => use the given CMake target, here, "editorconfig_bin",
        # rather than an executable file named "editorconfig_bin".
        # Used by tests/CMakeLists.txt.
    add_subdirectory(tests)
    message(STATUS "Tests enabled")
else()
    message(WARNING
        " Testing files are not found. Testing will not be available. If you obtained the source tree through git, please run `git submodule update --init` to update the tests submodule.")
endif()

# This is a way to find the EXE name for debugging.  However, it issues a
# CMake warning under policy CMP0026.
#get_target_property(out_name editorconfig_bin LOCATION)
#message(STATUS "main: Editorconfig binary will be in -${out_name}-")

=== src/lib/CMakeLists.txt ===
#
# Copyright (c) 2011-2019 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

set(editorconfig_LIBSRCS
    ec_glob.c
    editorconfig.c
    editorconfig_handle.c
    ini.c
    misc.c
    )

add_library(editorconfig_shared SHARED ${editorconfig_LIBSRCS})
target_include_directories(editorconfig_shared
    INTERFACE $<INSTALL_INTERFACE:include>
)
set_target_properties(editorconfig_shared PROPERTIES
    OUTPUT_NAME editorconfig
    SOVERSION 0
    VERSION ${PROJECT_VERSION})

# We need to link Shwapi since we use PathIsRelative
if(WIN32)
    target_link_libraries(editorconfig_shared Shlwapi)
endif()
target_link_libraries(editorconfig_shared ${PCRE2_LIBRARIES})
if (BUILD_STATICALLY_LINKED_EXE)
    # disable shared library build when static is enabled
    set_target_properties(editorconfig_shared PROPERTIES
        EXCLUDE_FROM_ALL 1)
endif()

add_library(editorconfig_static STATIC ${editorconfig_LIBSRCS})
target_include_directories(editorconfig_static
    INTERFACE $<INSTALL_INTERFACE:include>
)
set_target_properties(editorconfig_static PROPERTIES
    OUTPUT_NAME editorconfig_static
    VERSION ${PROJECT_VERSION})

# We need to link Shwapi since we use PathIsRelative
if(WIN32)
    target_link_libraries(editorconfig_static Shlwapi)
endif()
target_link_libraries(editorconfig_static ${PCRE2_LIBRARIES})

# EditorConfig package name for find_package() and the CMake package registry.
# On UNIX the system registry is usually just "lib/cmake/<package>".
# See cmake-package(7) for details.
set(config_package_name "EditorConfig")
set(editorconfig_CONFIG_NAME "${config_package_name}Config")
set(editorconfig_CONFIG_VERSION_NAME "${config_package_name}ConfigVersion")
set(editorconfig_CONFIG_EXPORT_NAME "${config_package_name}Targets")
set(editorconfig_CONFIG_INSTALL_LIBDIR
    "${CMAKE_INSTALL_LIBDIR}/cmake/${config_package_name}")

install(TARGETS editorconfig_static
    EXPORT ${editorconfig_CONFIG_EXPORT_NAME}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(NOT BUILD_STATICALLY_LINKED_EXE)
    install(TARGETS editorconfig_shared
        EXPORT ${editorconfig_CONFIG_EXPORT_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/editorconfig.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/editorconfig.pc
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/editorconfig.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

include(CMakePackageConfigHelpers)

configure_package_config_file(${editorconfig_CONFIG_NAME}.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_NAME}.cmake
    INSTALL_DESTINATION ${editorconfig_CONFIG_INSTALL_LIBDIR})

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_VERSION_NAME}.cmake
    COMPATIBILITY AnyNewerVersion)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_NAME}.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${editorconfig_CONFIG_VERSION_NAME}.cmake
    DESTINATION ${editorconfig_CONFIG_INSTALL_LIBDIR})

install(EXPORT ${editorconfig_CONFIG_EXPORT_NAME}
    DESTINATION ${editorconfig_CONFIG_INSTALL_LIBDIR})

=== debian/changelog ===
editorconfig-core (0.12.5-2) unstable; urgency=medium

  * update symbols: 1 public symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Nov 2021 01:37:13 +0100

editorconfig-core (0.12.5-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on libpcre2-dev pkg-config (not libpcre3-dev);
    closes: bug#1000081, thanks to Matthew Vernon
  * use pkgkde-symbolshelper; build-depend on pkg-kde-tools
  * build separately from source
  * update copyright info:
    + update coverage
    + use SPDX shortname BSD-1-Clause
    + sort License sections alphabetically
  * use semantic newlines in long description and copyright fields
  * update patches
  * reference DEP-3 format in patch headers
  * update watch file:
    + simplify regular expression
    + generalize filename mangling
    + set (currently unused) dversionmangle=auto
    + use substitution strings
    + mention gpb --uscan in usage comment
  * install cmake and pkg-config files
  * update symlink to versioned manpage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Nov 2021 16:17:23 +0100

editorconfig-core (0.12.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * use secure https protocol in copyright file Format field URI
  * use package priority optional (not extra) as per policy 4.0.1
  * update Vcs-* fields to use salsa.debian.org

  [ Jonas Smedegaard ]
  * tidy rules file;
    stop build-depend on cdbs devscripts
  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.6.0
  * relax to build-depend unversioned on d-shlibs:
    required version satisfied in all supported Debian releases
  * set Rules-Requires-Root: no
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * drop binary package libeditorconfig0-dbg,
    in favor of auto-generated dbgsym package

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Nov 2021 14:12:22 +0100

=== debian/control ===
Source: editorconfig-core
Section: libs
Priority: optional
Build-Depends:
 cmake,
 d-shlibs,
 debhelper-compat (= 13),
 doxygen,
 libpcre2-dev,
 libjs-jquery,
 pkg-config,
 pkg-kde-tools,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 4.6.0
Homepage: http://editorconfig.org/
Vcs-Git: https://salsa.debian.org/debian/editorconfig-core.git
Vcs-Browser: https://salsa.debian.org/debian/editorconfig-core
Rules-Requires-Root: no

Package: libeditorconfig0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: coding style indenter across editors - library
 EditorConfig helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles
 and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides the core library of editorconfig.

Package: libeditorconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeditorconfig0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: editorconfig-doc
Description: coding style indenter across editors - development files
 EditorConfig helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles
 and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides development headers for editorconfig-core library.

Package: editorconfig
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: coding style indenter for all editors - commandline tools
 This package helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles
 and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides editorconfig command which
 can be used to reformat and indent code files
 using editorconfig configuration file.

Package: editorconfig-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 libjs-jquery,
Description: coding style indenter across editors - documentation
 EditorConfig helps developers define and maintain
 consistent coding styles between different editors and IDEs.
 The EditorConfig project consists of a file format
 for defining coding styles and a collection of text editor plugins
 that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable
 and they work nicely with version control systems.
 .
 This package provides API documentation for editorconfig-core library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# resolve if release is experimental
EXP_RELEASE = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# relax symbols check when targeting experimental
export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)

%:
	dh $@ --buildsystem=cmake --builddir=build --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_HTML_DOC=ON

execute_after_dh_shlibdeps:
	d-devlibdeps \
		--override s/libeditorconfig0-dev/libeditorconfig-dev/ \
		debian/libeditorconfig-dev.substvars \
		debian/tmp/usr/lib/*/*.so

override_dh_strip:
	dh_strip --dbgsym-migration='libeditorconfig0-dbg (<< 0.12.1-2~)'

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/editorconfig/editorconfig-core-c/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## editorconfig-core 0.12.6

=== CMakeLists.txt ===
#
# Copyright (c) 2011-2018 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#


# Don't check any language compiler. This project is for EditorConfig Core
# testing only.
project(editorconfig-core-test NONE)

# Where this file lives
set(tests_cmakelists_dir "${CMAKE_CURRENT_LIST_DIR}")
#message(STATUS "Tests are in ${tests_cmakelists_dir}")

# Only when we are using editorconfig-core-test independently should we check
# cmake version, set EDITORCONFIG_CMD as cache string, and enable_testing()
# here.
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    cmake_minimum_required(VERSION 3.5)
    set(EDITORCONFIG_CMD "editorconfig" CACHE STRING "editorconfig command.")
    enable_testing()
endif()

# The most common test function
function(new_ec_test name ec_file src_file regex)
    add_test(${name} ${EDITORCONFIG_CMD} -f ${ec_file}
        "${CMAKE_CURRENT_SOURCE_DIR}/${src_file}")
    set_tests_properties(${name} PROPERTIES PASS_REGULAR_EXPRESSION "${regex}")
endfunction()

# The tests that requires version specified
function(new_ec_test_version name ec_file src_file regex version)
    add_test(${name} ${EDITORCONFIG_CMD} -b ${version} -f ${ec_file}
        "${CMAKE_CURRENT_SOURCE_DIR}/${src_file}")
    set_tests_properties(${name} PROPERTIES PASS_REGULAR_EXPRESSION "${regex}")
endfunction()

# The tests that requires the full path EditorConfig files
function(new_ec_test_full_ec_file_path name ec_file src_file regex)
    add_test(${name} ${EDITORCONFIG_CMD} -f ${ec_file} "${src_file}")
    set_tests_properties(${name} PROPERTIES PASS_REGULAR_EXPRESSION "${regex}")
endfunction()

# A test that returns multiple lines of output.  CAUTION: filenames used in
# these tests may not contain semicolons.
function(new_ec_test_multiline name ec_file src_file regex)
    #message(STATUS "Building multiline test ${name} with tests_cmakelists_dir ${tests_cmakelists_dir}")
    #message(STATUS "List dir ${CMAKE_CURRENT_LIST_DIR}, source dir ${CMAKE_CURRENT_SOURCE_DIR}")
    add_test(${name} "cmake"
                "-D" "EDITORCONFIG_CMD=${EDITORCONFIG_CMD}"
                    # Since variables aren't autpmatically passed to the inner cmake
                "-D" "ECARGS:LIST=-f;${ec_file};${CMAKE_CURRENT_SOURCE_DIR}/${src_file}"
                    # Note: the semicolons separate list elements.
                "-P" "${tests_cmakelists_dir}/cmake/ec_sort.cmake")
    set_tests_properties(${name} PROPERTIES PASS_REGULAR_EXPRESSION
        "^[\n]*${regex}$")
        # Permit leading \n's because I can't always get rid of them using
        # only CMake-provided facilities.
endfunction()


# First, make sure the test harness works.
add_subdirectory(meta)

# Then test the core.
add_subdirectory(glob)
add_subdirectory(properties)
add_subdirectory(parser)
add_subdirectory(filetree)
add_subdirectory(cli)

=== debian/changelog ===
editorconfig-core (0.12.6-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
    - CVE-2023-0341 (Fix potential buffer overflow in ec_glob)
  * Cherry-pick patches from test repo to match submodule commit
  * Refresh patches
  * Add patch to workaround doc build failure
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 Jan 2023 16:16:53 -0500

editorconfig-core (0.12.5-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add autopkgtest

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 21 Oct 2022 09:32:40 -0400

editorconfig-core (0.12.5-2.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Jeremy Bicha ]
  * Add second "orig" tarballs for build tests
  * Update debian/watch & debian/gbp.conf for this to work
  * Update debian/copyright for new component
  * Cherry-pick patches from test repo to match submodule commit
  * debian/libeditorconfig0.symbols: Set Build-Depends-Package
  * debian/rules: Set all hardening flags
  * debian/control: Drop duplicate section field

  [ Debian Janitor ]
  * Set upstream metadata fields

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON for reproducibility
    (Closes: #1001873)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Sep 2022 15:42:21 -0400

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,16 @@
  pkg-kde-tools,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Standards-Version: 4.6.0
-Homepage: http://editorconfig.org/
+Standards-Version: 4.6.2
+Homepage: https://editorconfig.org/
 Vcs-Git: https://salsa.debian.org/debian/editorconfig-core.git
 Vcs-Browser: https://salsa.debian.org/debian/editorconfig-core
 Rules-Requires-Root: no
 
 Package: libeditorconfig0
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends},
 Multi-Arch: same
 Description: coding style indenter across editors - library
  EditorConfig helps developers define and maintain

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 # relax symbols check when targeting experimental
 export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --buildsystem=cmake --builddir=build --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DINSTALL_HTML_DOC=ON
+	dh_auto_configure -- -DINSTALL_HTML_DOC=ON -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
 
 execute_after_dh_shlibdeps:
 	d-devlibdeps \

## editorconfig-core 0.12.7

=== CMakeLists.txt ===
# CMakeLists.txt for core testing in
# editorconfig-core-c.
#
# Copyright (c) 2011-2019 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

cmake_minimum_required(VERSION 3.5.1)
cmake_policy(VERSION 3.5.1)

project(editorconfig VERSION "0.12.7" LANGUAGES C)

set(PROJECT_VERSION_SUFFIX "")

include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake_Modules")

# set default compilation directory
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/bin")

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# package target
set(HOME_URL "https://editorconfig.org")
set(MAILING_LIST "editorconfig@googlegroups.com")

set(CPACK_PACKAGE_VENDOR "EditorConfig Team")
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "editorconfig")

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin") # Mac OS X
    set(CPACK_GENERATOR "STGZ;TGZ;TZ")
elseif(UNIX)
    # UNIX should be checked before WIN32 since cygwin makes UNIX and WIN32
    # both true
    set(CPACK_GENERATOR "STGZ;TGZ;TZ;DEB;RPM")
elseif(WIN32)
    set(CPACK_GENERATOR "ZIP;NSIS")
endif()

set(CPACK_MONOLITHIC_INSTALL 1)
set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
set(CPACK_PACKAGE_CONTACT "EditorConfig <${MAILING_LIST}>")
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/README.md)
set(CPACK_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
# get the architecture of Deb package. The name of the architecture is not
# always the same with ${CMAKE_SYSTEM_PROCESSOR}
if(NOT CPACK_DEBIAN_PACKAGE_ARCHITECTURE)
    execute_process(COMMAND dpkg --print-architecture
        OUTPUT_VARIABLE arch OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "${arch}")
endif()
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${HOME_URL})
set(CPACK_NSIS_CONTACT ${CPACK_PACKAGE_CONTACT})
set(CPACK_NSIS_DISPLAY_NAME "EditorConfig Core")
set(CPACK_NSIS_PACKAGE_HOMEPAGE ${HOME_URL})
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "editorconfig")
set(CPACK_RPM_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
set(CPACK_RPM_PACKAGE_LICENSE "Simplified BSD license")
set(CPACK_RPM_PACKAGE_URL ${HOME_URL})
include(CPack)

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(include)

# Testing. Type "make test" to run tests. Only do this if the test submodule is
# checked out.
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/tests/CMakeLists.txt)
    enable_testing()
    set(EDITORCONFIG_CMD "editorconfig_bin")
    set(EDITORCONFIG_CMD_IS_TARGET TRUE)
        # TRUE => use the given CMake target, here, "editorconfig_bin",
        # rather than an executable file named "editorconfig_bin".
        # Used by tests/CMakeLists.txt.
    add_subdirectory(tests)
    message(STATUS "Tests enabled")
else()
    message(WARNING
        " Testing files are not found. Testing will not be available. If you obtained the source tree through git, please run `git submodule update --init` to update the tests submodule.")
endif()

# This is a way to find the EXE name for debugging.  However, it issues a
# CMake warning under policy CMP0026.
#get_target_property(out_name editorconfig_bin LOCATION)
#message(STATUS "main: Editorconfig binary will be in -${out_name}-")

=== meta/CMakeLists.txt ===
# tests/meta/CMakeLists.txt: Test of the test harness for editorconfig.

# BSD-2-Clause
# Copyright 2018 Christopher White (cxw42 at GitHub; http://devwrench.com)
# All rights reserved
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

cmake_minimum_required(VERSION 3.5)

set(tests_meta_cmakelists_dir "${CMAKE_CURRENT_LIST_DIR}")

# Line separator regex, for convenience
set(L "[ \t\n\r]+")

message(STATUS "meta: Using editorconfig ${EDITORCONFIG_CMD}")

# Test run_and_sort()
add_test(meta_runandsort cmake -P "${tests_meta_cmakelists_dir}/sample.cmake")
set_tests_properties(meta_runandsort PROPERTIES PASS_REGULAR_EXPRESSION
    "^[\n]*0${L}a;b${L}b;c${L}b;e${L}b;f${L}c;b;a${L}d${L}$")
    # Have to permit leading \n's - I don't know how to get rid of them

# Test the new multiline macro on a simple case
new_ec_test_multiline(meta_multiline meta.in meta.c
    "^[\n]*answer=42${L}$")

=== parser/CMakeLists.txt ===
#
# Copyright (c) 2011-2018 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

# Basic parser tests

# test repeat sections
new_ec_test_multiline(repeat_sections_ML basic.in a.a "option1=value1[ \t]*[\n\r]+option2=value2[ \t\n\r]*")
new_ec_test_multiline(basic_cascade_ML basic.in b.b "option1=c[ \t]*[\n\r]+option2=b[ \t\n\r]*")

# Tests for whitespace parsing

# test no whitespaces in property assignment
new_ec_test(no_whitespace whitespace.in test1.c "^key=value[ \t\n\r]*$")

# test single spaces around equals sign
new_ec_test(single_spaces_around_equals whitespace.in test2.c
    "^key=value[ \t\n\r]*$")

# test multiple spaces around equals sign
new_ec_test(multiple_spaces_around_equals whitespace.in test3.c
    "^key=value[ \t\n\r]*$")

# test spaces before property name
new_ec_test(spaces_before_property_name whitespace.in test4.c
    "^key=value[ \t\n\r]*$")

# test spaces before after property value
new_ec_test(spaces_after_property_value whitespace.in test5.c
    "^key=value[ \t\n\r]*$")

# test blank lines between properties
new_ec_test_multiline(blank_lines_between_properties_ML whitespace.in test6.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t\n\r]*")

# test spaces in section name
new_ec_test(spaces_in_section_name whitespace.in " test 7 "
    "^key=value[ \t\n\r]*$")

# test spaces before section name are ignored
new_ec_test(spaces_before_section_name whitespace.in test8.c
    "^key=value[ \t\n\r]*$")

# test spaces after section name
new_ec_test(spaces_after_section_name whitespace.in test9.c "^key=value[ \t\n\r]*$")

# test spaces at beginning of line between properties
new_ec_test_multiline(spaces_before_middle_property_ML whitespace.in test10.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t]*[\n\r]+key3=value3[ \t\n\r]*")

# test colon seperator with no whitespaces in property assignment
new_ec_test(colon_sep_no_whitespace whitespace.in test1.d "^key=value[ \t\n\r]*$")

# test colon seperator with single spaces around equals sign
new_ec_test(colon_sep_single_spaces_around_equals whitespace.in test2.d
    "^key=value[ \t\n\r]*$")

# test colon seperator with multiple spaces around equals sign
new_ec_test(colon_sep_multiple_spaces_around_equals whitespace.in test3.d
    "^key=value[ \t\n\r]*$")

# test colon seperator with spaces before property name
new_ec_test(colon_sep_spaces_before_property_name whitespace.in test4.d
    "^key=value[ \t\n\r]*$")

# test colon seperator with spaces before after property value
new_ec_test(colon_sep_spaces_after_property_value whitespace.in test5.d
    "^key=value[ \t\n\r]*$")


# Tests for comment parsing

# test comments ignored after property name
new_ec_test(comments_after_property comments.in test1.c
    "^key=value[ \t\n\r]*$")

# test comments ignored after section name
new_ec_test(comments_after_section comments.in test2.c
    "^key=value[ \t\n\r]*$")

# test comments ignored before properties
new_ec_test(comment_before_props comments.in test3.c
    "^key=value[ \t\n\r]*$")

# test comments ignored between properties
new_ec_test_multiline(comment_between_props_ML comments.in test4.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t\n\r]*")

# test semicolons at end of property value are included in value
new_ec_test(semicolon_in_property comments.in test5.c
    "^key=value; not comment[ \t\n\r]*$")

# test escaped semicolons are included in property value
new_ec_test(escaped_semicolon_in_property comments.in test6.c
    "^key=value ; not comment[ \t\n\r]*$")

# test escaped semicolons are included in section names
new_ec_test(escaped_semicolon_in_section comments.in "test;.c"
    "^key=value[ \t\n\r]*$")

# test octothorpe comments ignored after property name
new_ec_test(octothorpe_comments_after_property comments.in test7.c
    "^key=value[ \t\n\r]*$")

# test octothorpe comments ignored after section name
new_ec_test(octothorpe_comments_after_section comments.in test8.c
    "^key=value[ \t\n\r]*$")

# test octothorpe comments ignored before properties
new_ec_test(octothorpe_comment_before_props comments.in test9.c
    "^key=value[ \t\n\r]*$")

# test octothorpe comments ignored between properties
new_ec_test_multiline(octothorpe_comment_between_props_ML comments.in test10.c
    "key1=value1[ \t]*[\n\r]+key2=value2[ \t\n\r]*")

# test octothorpe at end of property value are included in value
new_ec_test(octothorpe_in_property comments.in test11.c
    "^key=value# not comment[ \t\n\r]*$")

# test escaped octothorpes are included in property value
new_ec_test(escaped_octothorpe_in_property comments.in test12.c
    "^key=value # not comment[ \t\n\r]*$")

# test escaped octothorpes are included in section names
new_ec_test(escaped_octothorpe_in_section comments.in "test\#.c"
    "^key=value[ \t\n\r]*$")

# test EditorConfig files with BOM at the head
new_ec_test(bom_at_head bom.in "a.c" "^key=value[ \t\n\r]*$")

# test EditorConfig files with CRLF line separators
new_ec_test(crlf_linesep crlf.in "a.c" "^key=value[ \t\n\r]*$")


# Test max property name and values
new_ec_test(max_property_name limits.in test1
    "^00000000000000000000000000000000000000000000000001=50[ \t\n\r]*$")
new_ec_test(max_property_value limits.in test2
    "^k255=000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001[ \t\n\r]*$")

# Test max section names
new_ec_test(max_section_name_ok limits.in test3 "^key=value[ \t\n\r]*$")
new_ec_test(max_section_name_ignore limits.in test4 "^[ \t\n\r]*$")

=== src/CMakeLists.txt ===
#
# Copyright (c) 2011-2019 EditorConfig Team
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#

include(CheckFunctionExists)
include(CheckTypeSize)

option(BUILD_STATICALLY_LINKED_EXE
    "Statically link all libraries when building the executable. This will also disable shared library."
    OFF)

if(BUILD_STATICALLY_LINKED_EXE AND NOT WIN32)
    set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
endif()

find_package(PCRE2 REQUIRED)

if(PCRE2_FOUND)
    include_directories(BEFORE ${PCRE2_INCLUDE_DIRS})
    option(PCRE2_STATIC "Turn this option ON when linking to PCRE2 static library" OFF)
endif()

# config.h will be generated in src/auto, we should include it.
include_directories(BEFORE
    ${CMAKE_CURRENT_BINARY_DIR}/auto)

check_function_exists(strcasecmp HAVE_STRCASECMP)
check_function_exists(strdup HAVE_STRDUP)
check_function_exists(stricmp HAVE_STRICMP)
check_function_exists(strndup HAVE_STRNDUP)
check_function_exists(strlwr HAVE_STRLWR)

check_type_size(_Bool HAVE__BOOL)
check_type_size("const char*" HAVE_CONST)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/auto/config.h)

include_directories(BEFORE
    "${PROJECT_SOURCE_DIR}/include")

if(WIN32)
    # MSVC_MD option
    option(MSVC_MD
        "Use /MD instead of /MT flag when compiling with Microsoft Visual C++. This option takes no effect when using compilers other than Microsoft Visual C++."
        OFF)
endif()

# replace all /MD with /MT for msvc if MSVC_MD is off
if(MSVC AND NOT MSVC_MD)
    foreach(flag_var
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
        if(${flag_var} MATCHES "/MD")
            string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
        endif(${flag_var} MATCHES "/MD")
    endforeach(flag_var)
endif()

# Use unsigned char to represent plain char
if(MSVC)
    add_definitions("-J")
else()
    add_definitions("-funsigned-char")
endif()

add_subdirectory(lib)
add_subdirectory(bin)

=== debian/changelog ===
editorconfig-core (0.12.7-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * Drop obsolete dbgsym migration handling
  * Drop patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 14:31:14 -0400

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,14 @@
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DINSTALL_HTML_DOC=ON -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
+	dh_auto_configure -- \
+		-DINSTALL_HTML_DOC=ON \
+		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/editorconfig-doc \
+		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
+	
 
 execute_after_dh_shlibdeps:
 	d-devlibdeps \
 		--override s/libeditorconfig0-dev/libeditorconfig-dev/ \
 		debian/libeditorconfig-dev.substvars \
 		debian/tmp/usr/lib/*/*.so
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libeditorconfig0-dbg (<< 0.12.1-2~)'

=== debian/tests/control ===
Tests: upstream-tests
Depends: @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -7,3 +7,10 @@
 dversionmangle=auto \
 https://github.com/editorconfig/editorconfig-core-c/tags \
 .*?@ANY_VERSION@@ARCHIVE_EXT@
+
+opts=\
+filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
+dversionmangle=auto,\
+component=tests \
+https://github.com/editorconfig/editorconfig-core-test/tags \
+.*?@ANY_VERSION@@ARCHIVE_EXT@

## editorconfig-core 0.12.9%2B~0.15.1

=== debian/changelog ===
editorconfig-core (0.12.9+~0.15.1-1ubuntu1) plucky; urgency=medium

  * Backport patch to fix tests by bumping the minimum CMake version
    (Closes: #1101186) (LP: #2104942)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 31 Mar 2025 10:35:36 +0200

editorconfig-core (0.12.9+~0.15.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + list secondary component as secondary Source
    + update and extend Upstream-Contact
    + update coverage
  * update watch file:
    + use distinct source package name for secondary component
    + track version of secondary component
  * update git-buildpackage config:
    + stop use deprecated section git-import-orig
    + filter any .git* file
    + use DEP-14 git branch names
    + set components (not component)
    + add usage comment
  * declare compliance with Debian Policy 4.7.0
  * drop patches obsoleted by upstream changes
  * unfuzz patches
  * simplify build;
    build-depend on dh-sequence-pkgkde-symbolshelper
    (not pkg-kde-tools)
  * build-depend on pkgconf (not pkg-config)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2024 12:15:35 +0200

## editorconfig-core 0.12.9%2B~0.17.1

=== debian/changelog ===
editorconfig-core (0.12.9+~0.17.1-1ubuntu2) questing; urgency=medium

  * Remove parallelism at the dh level (LP: #2124947)
  * Revert "Fix ftbfs by preventing parallel install (LP: #2124947)"

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 02 Oct 2025 16:18:43 +0200

editorconfig-core (0.12.9+~0.17.1-1ubuntu1) questing; urgency=medium

  * Fix ftbfs by preventing parallel install (LP: #2124947)
    Multiple subsequent dependent install() calls in docs creates races
   when building with -j8.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 01 Oct 2025 18:43:29 -0400

editorconfig-core (0.12.9+~0.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1101186)
  * Simplify autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 18:09:54 -0400
